{* aside *}
<aside id="aside" data-visible="close">

</aside>
<script>
    $('document').ready(function (){
        //====================== aside  =====================
        $('#asideButton').click(function(){
            var visible = $('#aside').attr('data-visible');

            if(visible == 'close'){
                $('#aside').removeClass('hidde');
                $('#aside').addClass('show');
                $('#aside').attr('data-visible','open');
            }
            if( visible == 'open'){
                $('#aside').removeClass('show');
                $('#aside').addClass('hidde');
                $('#aside').attr('data-visible','close');
            }
        });
    });

    //====================== aside close =====================
    document.addEventListener("click", (evt) => {
        var visible = $('#aside').attr('data-visible');

        if( visible == 'open') {

            const asideElement = document.getElementById("aside");
            const buttonElement = document.getElementById("asideButton");
            let targetElement = evt.target; // clicked element

            do {
                if (targetElement == asideElement) {
                    return;
                }
                if (targetElement == buttonElement) {

                    return;
                }
                // Go up the DOM
                targetElement = targetElement.parentNode;
            } while (targetElement);

            // This is a click outside.
            $('#aside').removeClass('show');
            $('#aside').addClass('hidde');
            $('#aside').attr('data-visible', 'close');
        }
    });
</script>